.container-select-nodes{
    display: flex;
    align-items: flex-end;
}
.btn-scan-camera{
    display: flex;
    align-items: center;
    justify-content: center;

}
.content-body {
    background-color: var(--light-light);
}
.steps-camera{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.container-steps{
    display: flex;
    align-items: center;
}

.container-steps .step{
    border-radius: 6px;
    padding: 6px 12px;
    cursor: pointer;

}
.container-steps .step span{
    color: var(--color-green);
    font-size: 12px;
}

.container-steps .step.active{
    border:1px solid var(--color-green);
}

.container-buttons{
    display: flex;
    align-items: center;
}

.button-step{
    border-radius: 6px;
    font-size: 12px;
    padding: 6px 20px;
    cursor: pointer;
}
.button-step.btn-cancel{
    color: crimson;
}
.button-step.btn-cancel:hover{
    color: crimson;
}
.button-step.btn-back{
    color: var(--color-green);
}
.button-step.btn-save{
    color: var(--fontColor);
    border: 1px solid var(--color-font-gris);
}

.button-step.btn-save:hover{
    border: 1px solid var(--color-green);
    color: var(--color-green);
}


.content-step{
    border: 1px solid var(--color-borde);
    border-radius: 8px;
    margin: 15px 0px;
    min-height: 500px;
}

span.btn-dmg{
    color: var(--color-green) !important;
    font-weight: normal !important;
}

.container-selects{
    padding: 20px;
    display: flex;
    align-items: flex-end;
    border-bottom: 1px solid var(--color-borde);
}

.container-select{
    width: 300px;
    margin-right: 20px;
}


.card-camera{
    width: 100%;
    border-radius: 4px;
    border: 1px solid var(--color-borde);
    cursor: pointer;
}


.btn-select-camara{
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--color-green);
    width: 100%;
    padding: 8px;
    color: var(--color-green);
    font-size: 12px;
    border-radius: 0px 0px 4px 4px;
}

.btn-select-camara:hover{
    background-color: var(--color-green);
    color:white;
}
.content-camera{
    padding: 10px;
}
.content-camera p{
    margin: 0px;
    font-size: 12px;
}

.f600{
    font-family: 'Maven Pro', sans-serif;
}


.card-camera:hover{
    background-color: var(--bg-medium);
}

.card-camera:hover .btn-select-camara{
    background-color: var(--color-green);
    color:white;


}


.container-img{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.container-img img{
    width: 450px;
    border-radius: 15px;
}


.custom-btn{
    outline: none;
    border: none;
    background-color: transparent;
}


body.dark-layout input.disabled{
    background-color: var(--bg-medium);
}


.note-camera{
    padding: 10px;
    font-size: 12px;
    background-color: var(--bg-high);
}

.head-step-3{
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    padding:10px;
    font-size: 12px;
    border-bottom: 1px solid var(--color-borde);
}

.btn-add-layout{
    width: auto;
}

.help-layout{
    width: 200px;
    margin: auto;
    text-align: center;
}

.container-layout{
    display: flex;
    width:100%;
    border: 1px solid var(--color-borde);
    border-radius: 6px;
    padding: 10px;
}

.container-layout .s-left{
    width: 70px;
    margin-right: 10px;
}
.draw-poligon{
    width: 70px;
    height: 70px;
    background-color: var(--bg-medium);
}


.header-layout{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 10px;
    border-bottom: 1px solid var(--color-borde);
}

.color-title{
    width: 15px;
    height: 15px;
    display: block;
    margin-right: 6px;
}
.header-layout .title{
    font-family: 'Maven Pro', sans-serif;
    color: var(--fontColor);
    font-size: 12px;
}

.flex{
    display: flex;
    align-items: center;
}

.img-eye {
    width: 22px;
    height: 22px;
    cursor: pointer;
}

.openOptionsLayout {
    font-size: 24px;
    cursor: pointer;
}

.body-layout{
    padding-top: 10px;
    font-size: 12px;
}

.body-layout p{
    margin: 0px;
    font-size: 12px;
}

.span-event{
    border-radius: 4px;
    padding: 4px 10px;
    color: white !important;
    float: left;
    margin-right: 8px;
    margin-bottom: 8px;
    font-size: 10px;
    text-align: center;
}


body.dark-layout .checkbox input:checked ~ label:after{
    border-color: var(--color-green);
}

.img-preview-camera{
    border-radius: 15px;
}


.ds-none{
    display: none !important;
}



/*DETAIL*/
.container-detail{
    border: 1px solid var(--color-borde);
}
.btns-header-detail{
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin-right: 10px;
}
.btn-detail{
    background-color: transparent;
    outline: none;
    border:none;
    color: var(--fontColor);
    font-size: 12px;
    padding: 10px 0px;
    text-align: center;
    margin-left: 20px;
}

.btn-detail.delete-cam:hover{
    color: crimson;
}
.btn-detail.edit-cam:hover{
    color: var(--color-green);
}


.header-detail-camera .title{
    font-family: 'Maven Pro', sans-serif;
    font-size: 12px;
    color: var(--fontColor);
}

.data-table{
    display: flex;
    align-items: center;
    width: 100%;
    color: var(--fontColor);
    font-size: 12px;
    padding-bottom: 15px;
    border-bottom: 1px solid var(--color-borde);
}
.td{
    width: 25%;
}
.td p{
    margin: 0px;
}
.value{
    font-family: 'Maven Pro', sans-serif;
}


.header-detail-camera .more-detail{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0px;
}

.header-detail-camera .more-detail .flex p {
    margin: 0px;
    margin-left: 15px;
}
.header-detail-camera .more-detail .flex span{
    font-size: 12px;
    color: var(--fontColor);
}
.header-detail-camera .more-detail .flex span.value{
    color: var(--color-green);
    font-family: Gothic;
}




/*CAM FIXED*/

.btn-direction{
    width: 120px;
    display: flex;
    margin: 15px 0px;
    border: 1px solid var(--fontColor);
    border-radius: 5px;

}

.btn-direction div{
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 20px;
    color: var(--fontColor);
}
.direction.active{
    background: #525252;
    color: var(--color-green);
}

.btn-up{
    border-right: 1px solid var(--fontColor);
    border-radius: 5px 0px 0px 5px;
}
.btn-down{
    border-radius: 0px 5px 5px 0px
}

/*CONFIG LAYOUT LINE*/
.container-config-line{
    display: flex;
    width: 100%;
    /*padding: 20px;*/
}
.container-config-line .s-left{
    width: 100%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}


#canvas-line{
    position:absolute;
    cursor:crosshair;
}


.wp-50{
    width: 50%;
}


/*ARROW*/
.c-arrow{
    position: absolute;
}
.long-arrow-up,
.long-arrow-down{
    display: block;
    width: 25px;
    height: 25px;
    border-top: 6px solid #A1C523;
    border-left: 6px solid #A1C523;
}


.long-arrow-up{
    transform: rotate(45deg);
}

.long-arrow-down{
    transform: rotate(225deg);
}
.long-arrow-up::after,
.long-arrow-down::after{
    content: "";
    display: block;
    width: 6px;
    height: 80px;
    background-color: #A1C523;
    transform: rotate(-45deg) translate(26px, 10px);
    left: 0;
    top: 0;
}
